### Function

# Qmi message_get_tlv_printable

since: 1.0

#### Declaration [src]

    gchar*
    qmi_message_get_tlv_printable (
      QmiMessage* self,
      const gchar* line_prefix,
      guint8 type,
      const guint8* raw,
      gsize raw_length
    )

#### Description [src]

Gets a printable string with the contents of the TLV.

This method is the most generic one and doesn’t try to translate the TLV contents.

Available since: 1.0

#### Parameters

`self`

  Type: `QmiMessage`

  A `QmiMessage`.

  The data is owned by the caller of the function.

`line_prefix`

  Type: `const gchar*`

  Prefix string to use in each new generated line.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`type`

  Type: `guint8`

  Type of the TLV.

`raw`

  Type: `const guint8*`

  Raw data buffer with the value of the TLV.

  The data is owned by the caller of the function.

`raw_length`

  Type: `gsize`

  Length of the raw data buffer.

#### Return value

Type: `gchar*`

A newly allocated string, which should be freed with g_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.